pynslcd(8)

NAME
pynslcd - local LDAP name service daemon

SYNOPSIS
\FCpynslcd\F[]
[options]

DESCRIPTION
pynslcd is a daemon that will do LDAP queries for local processes that want to do user, group and other naming lookups (NSS) or do user authentication, authorisation or password modification (PAM).

pynslcd is configured through a configuration file (see nslcd.conf(5)).

See the included README for information on configuring the LDAP server.

OPTIONS
pynslcd accepts the following options:

\FC-c\F[], \FC--check\F[]
    Check if the daemon is running. This causes pynslcd to return 0 if the daemon is already running and 1 if it is not.

\FC-d\F[], \FC--debug\F[]
    Enable debugging mode. pynslcd will not put itself in the background and sends verbose debugging info to stderr. pynslcd will handle connections as usual. This option is for debugging purposes only. Specify this option multiple times to also include more detailed logging from the LDAP library.

\FC-n\F[], \FC--nofork\F[]
    Do not fork or daemonise and run pynslcd in the foreground.

\FC--help\F[]
    Display short help and exit.

\FC-V\F[], \FC--version\F[]
    Output version information and exit.

FILES
\FC/etc/nslcd.conf\F[] - the configuration file (see nslcd.conf(5))

SEE ALSO
nslcd.conf(5)

AUTHOR
This manual was written by Arthur de Jong <arthur@arthurdejong.org>.